# TODO: system uchardet?
#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	cChardet - high speed universal character encoding detector
Summary(pl.UTF-8):	cChardet - szybki, uniwersalny wykrywacz kodowania znaków
Name:		python3-cchardet
Version:	2.1.7
Release:	3
License:	MPL v1.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cchardet/
Source0:	https://files.pythonhosted.org/packages/source/c/cchardet/cchardet-%{version}.tar.gz
# Source0-md5:	8a76472ad09c68c12069203ea9348ee3
URL:		https://pypi.org/project/cchardet/
BuildRequires:	libstdc++-devel
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-nose
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cChardet is high speed universal character encoding detector - binding
to uchardet.

%description -l pl.UTF-8
cChardet to szybki, uniwersalny wykrywacz kodowania znaków - wiązanie
do biblioteki uchardet.

%prep
%setup -q -n cchardet-%{version}

ln -snf ../tests src/tests/tests

# these fail:
# - recognized as Windows-1252
%{__rm} src/tests/testdata/{fi,ga}/iso-8859-1.txt
# - recognized as iso-8859-11
%{__rm} src/tests/testdata/th/tis-620.txt

%build
%py3_build

%if %{with tests}
cd src/tests
LC_ALL=C \
PYTHONPATH=$(readlink -f ../../build-3/lib.*) \
%{__python3} -m nose test.py
cd ../..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst README.rst
%attr(755,root,root) %{_bindir}/cchardetect
%dir %{py3_sitedir}/cchardet
%{py3_sitedir}/cchardet/*.py
%attr(755,root,root) %{py3_sitedir}/cchardet/*.so
%{py3_sitedir}/cchardet/__pycache__
%{py3_sitedir}/cchardet-%{version}-py*.egg-info
%changelog
* Tue Apr 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cchardet.git;a=log;h=auto/th/python3-cchardet-2.1.7-3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5336acd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7550f48
- python 3.13 rebuild

* Wed Mar 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 8e2a762
- python-cchardet.spec updated to 2.1.7 for python 3.6+

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 5ca3ca5
- python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 54ea5ee
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 70cb908
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ed863a9
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 61f4ffa
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 067c148
- release 2 (by relup.sh)

* Mon Sep 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 0767055
- new

